GDCM: gdcm::Decoder Class Reference

GDCM 3.2.11

Public Member Functions | Protected Member Functions | List of all members
gdcm::Decoder Class Referenceabstract

Decoder. More...

`#include <gdcmDecoder.h>`

Inheritance diagram for gdcm::Decoder:
[legend]

## Public Member Functions
virtual | ~Decoder ()=default
virtual bool | CanDecode (TransferSyntax const &) const =0
| Return whether this decoder support this transfer syntax (can decode it).
virtual bool | Decode (DataElement const &, DataElement &)
| Decode.

## Protected Member Functions
virtual bool | DecodeByStreams (std::istream &, std::ostream &)

## Detailed Description

Decoder.

## Constructor & Destructor Documentation

## ◆ ~Decoder()

virtual gdcm::Decoder::~Decoder | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ CanDecode()

virtual bool gdcm::Decoder::CanDecode | ( | TransferSyntax const & |  | ) | const
| pure virtual

Return whether this decoder support this transfer syntax (can decode it).

Implemented in gdcm::AudioCodec, gdcm::ImageCodec, gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::KAKADUCodec, gdcm::PDFCodec, gdcm::PGXCodec, gdcm::PNMCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

## ◆ Decode()

virtual bool gdcm::Decoder::Decode | ( | DataElement const & | ,
|  | DataElement & | )
| inlinevirtual

Decode.

Reimplemented in gdcm::AudioCodec, gdcm::DeltaEncodingCodec, gdcm::ImageCodec, gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::KAKADUCodec, gdcm::PDFCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

## ◆ DecodeByStreams()

virtual bool gdcm::Decoder::DecodeByStreams | ( | std::istream & | ,
|  | std::ostream & | )
| inlineprotectedvirtual

Reimplemented in gdcm::ImageCodec, gdcm::JPEG12Codec, gdcm::JPEG16Codec, gdcm::JPEG2000Codec, gdcm::JPEG8Codec, gdcm::JPEGCodec, gdcm::JPEGTurboCodec, gdcm::RAWCodec, and gdcm::RLECodec.

The documentation for this class was generated from the following file:

- gdcmDecoder.h